Subject: Re: Bug#856995: Unattended passphrase for gpg2 (pinentry-mode loopback)

From: Ola Lundqvist <[email-masked]>
Date: Tue, 7 Mar 2017 14:31:48 +0100

Hi

Thank you for the report. I'll adjust the documentation (or code).

Best regards

// Ola

On 7 March 2017 at 01:44, Christian Schrötter <[email-masked]> wrote:

> Package: debarchiver
> Version: 0.11.0
> Severity: minor
>
> Dear Maintainer,
>
> starting with Stretch and gpg2 it's impossible to call debarchiver with
> enabled archive signing (and $gpgpassfile) from commandline with a
> foreign TTY, i.e. a session created by "su <user>".
>
> > gpg: signing failed: Inappropriate ioctl for device
> > gpg: signing failed: Inappropriate ioctl for device
>
> It looks like the gpg call should use "--pinentry-mode loopback" OR the
> documentation should recommend a new line in ~/.gnupg/gpg.conf:
>
> > pinentry-mode loopback
>
> There is an interesting section at the Arch Wiki at [1] too. The change
> in ~/.gnupg/gpg-agent.conf is not required as far as I can see.
>
> --
> With kind regards,
> Christian Schrötter
>
> [1] https://wiki.archlinux.org/index.php/GnuPG#Unattended_passphrase
>

-- 
 --- Inguza Technology AB --- MSc in Information Technology ----
/  [email-masked]                    Folkebogatan 26            \
|  [email-masked]                   654 68 KARLSTAD            |
|  http://inguza.com/                Mobile: +46 (0)70-332 1551 |
\  gpg/f.p.: 7090 A92B 18FE 7994 0C36 4FE4 18A1 B1CF 0FE5 3DD9  /
 ---------------------------------------------------------------